Customer Feedback
Batch import customer feedback requests
Import multiple customer feedback requests at once (1-1500 per call). Requests are queued with PENDING delivery status and sent in the next batch cycle (daily at 5:25 PM).
POST
/
customer-feedback-system
/
batch
Batch import customer feedback requests
curl --request POST \
--url https://www.renovationfind.com/rest-api-v1/customer-feedback-system/batch \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"requestsImported": [
{
"customerName": "John Doe",
"email": "john@example.com",
"phone": "5551234567"
},
{
"customerName": "Jane Smith",
"email": "jane@example.com",
"phone": "5559876543"
}
]
}
'import requests
url = "https://www.renovationfind.com/rest-api-v1/customer-feedback-system/batch"
payload = { "requestsImported": [
{
"customerName": "John Doe",
"email": "john@example.com",
"phone": "5551234567"
},
{
"customerName": "Jane Smith",
"email": "jane@example.com",
"phone": "5559876543"
}
] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
requestsImported: [
{customerName: 'John Doe', email: 'john@example.com', phone: '5551234567'},
{customerName: 'Jane Smith', email: 'jane@example.com', phone: '5559876543'}
]
})
};
fetch('https://www.renovationfind.com/rest-api-v1/customer-feedback-system/batch', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"message": "Batch import successful. 2 requests queued for delivery."
}{
"success": false,
"error": "<string>"
}{
"success": false,
"error": "<string>"
}{
"success": false,
"error": "Rate limit exceeded. Maximum 250 requests per 5 minutes. Please retry later."
}Authorizations
JWT token issued from the RenovationFind Manager Portal
Body
application/json
Required array length:
1 - 1500 elementsShow child attributes
Show child attributes
Previous
Check for duplicatesCheck whether a customer feedback request with the given email or phone already exists for this vendor.
At least one of `email` or `phone` must be provided.
Next
⌘I
Batch import customer feedback requests

